explain_execve_or_die(3)

NAME
explain_execve_or_die - execute program and report errors
    "execute program and report errors"

SYNOPSIS
#include <libexplain/execve.h>

void explain_execve_or_die(const char *pathname, const char *const *argv, const char *const *envp);

DESCRIPTION
The explain_execve_or_die function is used to call the execve(2) system call. On failure an explanation will be printed to stderr, obtained from explain_execve(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_execve_or_die(pathname, argv, envp);

pathname
    The pathname, exactly as to be passed to the execve(2) system call.

argv
    The argv, exactly as to be passed to the execve(2) system call.

envp
    The envp, exactly as to be passed to the execve(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

execve(2)
    execute program

explain_execve(3)
    explain execve(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller